# Beneficiary

## Create Beneficiary

<mark style="color:green;">`POST`</mark> `https://public_key:secret_key@api.ippopay.com/v1/payout/beneficiary/create`

Use this api to create a beneficiary on your account to use it for initiating transfer. You can get your keys from the payout api dashboard.

#### Request Body

| Name             | Type   | Description                                                                    |
| ---------------- | ------ | ------------------------------------------------------------------------------ |
| acc\_number      | string | Account number of the beneficiary                                              |
| ifsc             | string | IFSC code for the account                                                      |
| name             | string | Account holder name                                                            |
| beneficiary\_ref | string | <p>Unique Reference id for the beneficiary.<br>Accepts only alpha numeric.</p> |

{% tabs %}
{% tab title="200 " %}

```
{
    "success": true,
    "message": "Beneficiary created Successfully"
}
```

{% endtab %}
{% endtabs %}

```javascript
 {
	"acc_number":"50100012345678",
	"ifsc":"HDFC0000001",
	"name":"Account Holder Name",
	"beneficiary_ref":"reference_id"
}
```

## Beneficiary List

<mark style="color:blue;">`GET`</mark> `https://public_key:secret_key@api.ippopay.com/v1/payout/beneficiary/list`

Use this api to fetch list of beneficiaries on your account. You can get your keys from the payout api dashboard.

#### Query Parameters

| Name  | Type   | Description                           |
| ----- | ------ | ------------------------------------- |
| limit | number | Limits the number of records to fetch |
| page  | number | The page number to fetch the list     |

{% tabs %}
{% tab title="200 " %}

```
{
    "success": true,
    "message": "Beneficiary list",
    "data": {
        "beneficiaries": [
            {
            "account": {
                    "number": "501000000012345678",
                    "ifsc": "HDFC0000001"
                }
                "name": {
                    "first": "",
                    "last": "",
                    "full": "Jaikumar R"
                }
                "status": "active",
                "merchant_id": "XXXXXX",
                "beneficiary_id": "bene_XXXX",
                "beneficiary_ref": "unique_beneficiary_ref",
                "tags": [],
                "updatedAt": "2021-05-11T14:23:05.112Z",
                "createdAt": "2021-05-11T14:23:04.668Z"
            }
        ],
        "total": 1
    }
}
```

{% endtab %}
{% endtabs %}

## Get Beneficiary Details

<mark style="color:blue;">`GET`</mark> `https://public_key:secret_key@api.ippopay.com/v1/payout/beneficiary/getdetails/{beneficiary_ref}`

Use this api to get a particular beneficiary on your account. You can get your keys from the payout api dashboard.

#### Path Parameters

| Name             | Type   | Description                     |
| ---------------- | ------ | ------------------------------- |
| beneficiary\_ref | string | Reference id of the beneficiary |

{% tabs %}
{% tab title="200 " %}

```
{
    "success": true,
    "message": "Beneficiary Detail",
    "data": {
        "beneficiary": 
            {
            "account": {
                    "number": "501000000012345678",
                    "ifsc": "HDFC0000001"
                }
                "name": {
                    "first": "",
                    "last": "",
                    "full": "Jaikumar R"
                }
                "status": "active",
                "merchant_id": "XXXXXX",
                "beneficiary_id": "bene_XXXX",
                "beneficiary_ref": "unique_beneficiary_ref",
                "tags": [],
                "updatedAt": "2021-05-11T14:23:05.112Z",
                "createdAt": "2021-05-11T14:23:04.668Z"
            }
    }
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ippopay.com/payouts/beneficiary.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
